Bug 90688 - (VM)cached memory not releasing
(VM)cached memory not releasing
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-12 11:33 EDT by 97fr97f
Modified: 2005-10-31 17:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description 97fr97f 2003-05-12 11:33:16 EDT
Description of problem:when using RH 8.0, periodic checks with free shows that
cached memory increases and is never released.  Opening or running various
progams causes the cahced memory to expand; but it is never released. While in
init runlevel 3, i initialized my tripwire database; cached memory grew to
within 90% of my installed RAM (1.79 gigs of 2gigs)  I noticed a problem using
sybase, Studio 3.3, and just logging onto the system


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.open and run varius prorams ie..initalize tripwire
2.make periodic checks of system with free
3.
    
Actual results:
You will see that cached ram increases and doesn't seem to be released. 


Expected results:


Additional info: I think there is something wrng witht he overall system..that
is why I included kernel as a component
Comment 1 Alan Cox 2003-06-08 10:01:45 EDT
The system caches anything it can until the memory is needed for another
purpose. So that isnt a bug. Older RH kernels such as the one shipped with 8.0
were a bit bad about giving it back sometimes and could underperform. Errata
kernels should have resolved this

If not please re-open giving the errata kernel you are using
Comment 2 Bruce A. Locke 2003-07-11 13:16:15 EDT
I'm afraid this behaviour has not been fixed at all (at least with my work loads).

With squid running and doing constant disk reads and writes both cache and
buffer increase to the point where the kernel starts swapping large parts of
squid out over time.

This bug seems to be a duplicate of #89226.

Comment 3 Alan Cox 2003-07-11 13:35:23 EDT
Please can you give the kernel errata you are currently running
Comment 4 Bruce A. Locke 2003-07-11 13:44:34 EDT
2.4.20-18.9smp on Red Hat 9, fully patched (to the best of my knowledge)



Comment 5 Rik van Riel 2003-07-11 14:01:36 EDT
I'm going to backport the latest -rmap upgrades to this kernel
Comment 6 Bugzilla owner 2004-09-30 11:40:54 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.